#1553 updater 0.2, 0.3: can not find official release

closed-fixed
None
9
2012-03-25
2012-02-10
Alan Ezust
No

When I try to update to the latest official release (from 4.5pre1), it downloads another archive from jedit-devel that is 4.5pre1.
It should be giving me 4.5

Discussion

  • Alan Ezust

    Alan Ezust - 2012-02-10
    • assigned_to: nobody --> shlomy
     
  • Anonymous - 2012-02-29
    • assigned_to: shlomy --> nobody
     
  • Alan Ezust

    Alan Ezust - 2012-03-12

    Why does it think 4.5pre1 is the latest release when it is 4.5 final?

    Here is contents from the log file:
    Checking for the latest version...
    [2012-03-12 14:50:19] Installed version: 04.04.99.03
    [2012-03-12 14:50:19] Latest version: 04.05.99.00
    [2012-03-12 14:50:19] This will exit jEdit and install a new version. Are you sure?
    [2012-03-12 14:50:27] Fetching jEdit download page...
    [2012-03-12 14:50:28] Downloading the new version... http://sourceforge.net/projects/jedit/files/jedit-devel/4.5pre1/jedit4.5pre1install.jar/download

     
  • Alan Ezust

    Alan Ezust - 2012-03-13

    Using jEdit 4.4.x and Updater 0.2
    Perhaps we need to rebuild Updater so it has a min version that is lower than 4.5

     
  • Alan Ezust

    Alan Ezust - 2012-03-13
    • summary: updater: can not find official release --> updater 0.2: can not find official release
     
  • Alan Ezust

    Alan Ezust - 2012-03-13

    After modifying Updater 0.3, changing the min jedit version, rebuilding, I get the same issue.
    So it is not specific to 0.2.
    I will push the change to git so that future builds will work against older versions of jEdit.

     
  • Alan Ezust

    Alan Ezust - 2012-03-13
    • summary: updater 0.2: can not find official release --> updater 0.3: can not find official release
    • assigned_to: nobody --> shlomy
     
  • Alan Ezust

    Alan Ezust - 2012-03-13
    • priority: 5 --> 9
     
  • Anonymous - 2012-03-18

    I think I've fixed it in git version dab31b8. Can you verify? Thanks

     
  • Alan Ezust

    Alan Ezust - 2012-03-19

    Now it's getting jEdit stable, a daily build, rather than the official release.
    Why is it giving any daily build at all?

    >>> Started: 2012-03-18 17:17:45
    [2012-03-18 17:17:46] Checking for the latest version...
    [2012-03-18 17:17:46] Installed version:
    [2012-03-18 17:17:46] Latest version: 2012-03-15_12-03-16
    [2012-03-18 17:17:46] This will exit jEdit and install a new version. Are you sure?
    [2012-03-18 17:17:50] Fetching jEdit download page...
    [2012-03-18 17:17:50] Downloading the new version... http://www.tellurianring.com/projects/jedit-daily/jEdit_stable/2012-03-15_12-03-16/jedit4.5.1install.jar
    [2012-03-18 17:18:00]
    [2012-03-18 17:18:00] Launching the installer...
    [2012-03-18 17:18:00] Installer: C:\Users\ezust\.jedit\plugins\updater.UpdaterPlugin\jeditInstall.jar
    [2012-03-18 17:18:00] Install location: C:\ppApps\jEdit
    [2012-03-18 17:18:00] Please wait while the update is being installed...
    [2012-03-18 17:18:00] Running: java -jar C:\Users\ezust\.jedit\plugins\updater.UpdaterPlugin\jeditInstall.jar auto C:\ppApps\jEdit
    [2012-03-18 17:18:01] stopping any jEdit server
    [2012-03-18 17:18:02] Installing jedit-program
    [2012-03-18 17:18:06] Installing jedit-macros
    [2012-03-18 17:18:07] Installing jedit-api
    [2012-03-18 17:18:14] Installing jedit-windows
    [2012-03-18 17:18:14] *** Installation complete
    [2012-03-18 17:18:14] Installer done. You can now start jEdit if an update was installed.
    <<< Ended: 2012-03-18 17:18:14

     
  • Anonymous - 2012-03-19

    The "official release" version goes to http://www.jedit.org/jEdit-version.txt to find the released version.
    Then it goes to http://jedit.org/index.php?page=download to actually download.
    This is what should happen when you click: Plugins -> Updater -> Update jEdit... (Choose branch) -> Latest official release
    (Note lowercase 'o' in "Latest official release", if you have a capital O it means you haven't updated to my fix).

    Are these the operations you're doing? If not, there's problem another branch which is problematic.

     
  • Jarek Czekalski

    Jarek Czekalski - 2012-03-19

    I confirm this bug is not fixed. Steps to reproduce (Shlomy, please try):

    1. Download pre1:
    http://www.tellurianring.com/projects/jedit-daily/jEdit_pre_release/2011-11-10_12-05-26/jedit4.5pre1install.jar
    2. Install to a new dir
    3. Start with a new settings dir
    4. Copy commoncontrols jars to setttings/jars
    5. Change updater version in source to 0.3.1 (to make version checking easier)
    6. Build updater and copy to settings/jars
    7. Start jedit like in 3.
    8. Enter updater options, choose interactive update
    9. update jedit (choose branch)
    10. Latest official release
    11. You get:

    hecking for the latest version...
    Installed version: 04.05.01.00
    Latest version: 04.05.99.00
    This will exit jEdit and install a new version. Are you sure?
    Fetching jEdit download page...
    Downloading the new version... http://sourceforge.net/projects/jedit/files/jedit-devel/4.5pre1/jedit4.5pre1install.jar/download
    2 927 038 (out of 2 927 915) bytes read

    So the detection is correct, but the download is incorrect.

     
  • Anonymous - 2012-03-20

    Here's what Updater does when you point it to "Latest official release". Let me know where it goes wrong:
    Finds latest available version in: http://www.jedit.org/jEdit-version.txt
    (to compare it with the version of the current jEdit process)

    Then it goes to the following page for the download link: http://jedit.org/index.php?page=download
    and look for the following pattern in that page for the actual link:
    .*<a href="([^"]+)">Java-based installer.*

    Is there anything wrong in the above? Maybe these web pages are not set up correctly?

     
  • Jarek Czekalski

    Jarek Czekalski - 2012-03-20

    Where's the catch? It's very easy to find a commented link on that html page. So now when you know the cause of the error, what is the next step and by who?

     
  • Alan Ezust

    Alan Ezust - 2012-03-20

    If there is a commented link that is being picked up by the regex parser, that would certainly explain what is wrong.

     
  • Anonymous - 2012-03-21

    Updater uses a simple regex search. I can change this to xml parser without too much trouble, but I think it would be simpler (and acceptable) if either:
    - The file http://www.jedit.org/jEdit-version.txt would contain also the download link, not just the version specification.
    - The html file containing the download link would not have comments, or would have something that the regex search can catch to know where the right link is.
    What do you think?

     
  • Jarek Czekalski

    Jarek Czekalski - 2012-03-22

    I may remove comments from the html page to solve the problem without need of a new release. But it would be good to have the problem solved also in trunk of the plugin. I mean omitting comments. Would something as simple as that work:
    String.replaceAll("<!--.*-->", "")
    ?

    Cheap parsing seems to be just right here. I think to leave the page "broken" to make testing possible. As soon as the bug is eliminated, the page will be changed.

     
  • Anonymous - 2012-03-23

    Seems to be okay now, in commit 691c2d3. Can you check?
    I replaced the regexp search with an html parser library from SF.

     
  • Anonymous - 2012-03-24
    • status: open --> closed-fixed
     
  • Anonymous - 2012-03-24

    Commited to git.

     
  • Alan Ezust

    Alan Ezust - 2012-03-25

    If we remove the comments from this webpage, then Updater 0.2 will work for existing jEdit installs again.
    This ticket is still "open".
    Also, the current solution is under debate.

     
  • Alan Ezust

    Alan Ezust - 2012-03-25
    • summary: updater 0.3: can not find official release --> updater 0.2, 0.3: can not find official release
    • status: closed-fixed --> open
     
  • Alan Ezust

    Alan Ezust - 2012-03-25
    • status: open --> closed-fixed
     
  • Alan Ezust

    Alan Ezust - 2012-03-25

    Fixed in webpage.

     

Get latest updates about Open Source Projects, Conferences and News.

Sign up for the SourceForge newsletter:





No, thanks